package com.qihoo360.mobilesafe.service;
interface IAttention{

	/**
	 * 进程信息加载完毕事件
	 */
	void onSysInfoLoaded();
	
	/**
	 * 进程处理事件
	 * @param totalmemory 需处理的进程占用的总内存，单位 MB
	 */
	void onBeginKillProcess(int totalmemory);
	
	/**
	 * 进程处理结束事件
	 * @param processkilled 处理的进程数
	 * @param memoryfreed 释放的总内存，单位 MB
	 */
	void onEndKillProcess(int processkilled, int memoryfreed);
	
	/**
	 * 进程处理进度事件
	 * @param packageName 正在清理进程包名
	 * @param idx 正在清理进程包序号
	 * @param total 需处理的进程总数
	 */
	void onProgressKillProcess(String packageName, int idx, int total);
}
